## blinker 1.5

=== docs/requirements.txt ===
#
# This file is autogenerated by pip-compile with python 3.10
# To update, run:
#
#    pip-compile docs/requirements.in
#
alabaster==0.7.12
    # via sphinx
babel==2.10.3
    # via sphinx
certifi==2022.6.15
    # via requests
charset-normalizer==2.1.0
    # via requests
docutils==0.18.1
    # via sphinx
idna==3.3
    # via requests
imagesize==1.4.1
    # via sphinx
jinja2==3.1.2
    # via sphinx
markupsafe==2.1.1
    # via jinja2
packaging==21.3
    # via
    #   pallets-sphinx-themes
    #   sphinx
pallets-sphinx-themes==2.0.2
    # via -r docs/requirements.in
pygments==2.12.0
    # via sphinx
pyparsing==3.0.9
    # via packaging
pytz==2022.1
    # via babel
requests==2.28.1
    # via sphinx
snowballstemmer==2.2.0
    # via sphinx
sphinx==5.0.2
    # via
    #   -r docs/requirements.in
    #   pallets-sphinx-themes
sphinxcontrib-applehelp==1.0.2
    # via sphinx
sphinxcontrib-devhelp==1.0.2
    # via sphinx
sphinxcontrib-htmlhelp==2.0.0
    # via sphinx
sphinxcontrib-jsmath==1.0.1
    # via sphinx
sphinxcontrib-qthelp==1.0.3
    # via sphinx
sphinxcontrib-serializinghtml==1.1.5
    # via sphinx
urllib3==1.26.10
    # via requests

=== tests/requirements.txt ===
#
# This file is autogenerated by pip-compile with python 3.10
# To update, run:
#
#    pip-compile tests/requirements.in
#
attrs==21.4.0
    # via pytest
iniconfig==1.1.1
    # via pytest
packaging==21.3
    # via pytest
pluggy==1.0.0
    # via pytest
py==1.11.0
    # via pytest
pyparsing==3.0.9
    # via packaging
pytest==7.1.2
    # via -r tests/requirements.in
tomli==2.0.1
    # via pytest

## blinker 1.2.dfsg1

=== debian/changelog ===
blinker (1.2.dfsg1-1ubuntu1~cloud0) precise-havana; urgency=low

  * New package for the Ubuntu Cloud Archive.

 -- Adam Gandelman <adamg@ubuntu.com>  Fri, 27 Sep 2013 11:53:11 -0700

blinker (1.2.dfsg1-1ubuntu1) saucy; urgency=low

  * debian/control, debian/rules:
    - Enable tests during build

 -- Michael Terry <mterry@ubuntu.com>  Thu, 19 Sep 2013 11:33:45 -0400

blinker (1.2.dfsg1-1) unstable; urgency=low

  * Initial packaging. (Closes: #702231)
  * Imported Upstream version 1.2.dfsg1
  * Update copyright with _saferef and sphinx licenses
  * Add repack script to remove *.js files from upstream tarball
  * Add documentation and setup correct sphinxdoc links
  * Update docs to include link to rst files and also add AUTHORS and
    README file

 -- Ondřej Surý <ondrej@debian.org>  Mon, 15 Apr 2013 10:46:16 +0200

=== debian/control ===
Source: blinker
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Ondřej Surý <ondrej@debian.org>
Section: python
Priority: optional
Build-Depends: python-all (>= 2.6.6-3), debhelper (>= 7), python-nose
Standards-Version: 3.9.4

Package: python-blinker
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: Fast, simple object-to-object and broadcast signaling library
 Blinker provides a fast dispatching system that allows any number of
 interested parties to subscribe to events, or "signals".
 .
 Signal receivers can subscribe to specific senders or receive signals
 sent by any sender.

## blinker 1.3.dfsg1

=== debian/changelog ===
blinker (1.3.dfsg1-1ubuntu2) trusty; urgency=medium

  * Rebuild to drop files installed into /usr/share/pyshared.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Feb 2014 13:46:21 +0000

blinker (1.3.dfsg1-1ubuntu1) trusty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Run tests during build

 -- Michael Terry <mterry@ubuntu.com>  Tue, 29 Oct 2013 08:59:19 -0700

blinker (1.3.dfsg1-1) unstable; urgency=low

  * New upstream version 1.3.dfsg1
  * Move package under Debian Python Modules Team
  * Add Homepage to debian/control

 -- Ondřej Surý <ondrej@debian.org>  Tue, 10 Sep 2013 16:18:38 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,12 @@
 Source: blinker
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ondřej Surý <ondrej@debian.org>
+XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Uploaders: Ondřej Surý <ondrej@debian.org>
 Section: python
 Priority: optional
 Build-Depends: python-all (>= 2.6.6-3), debhelper (>= 7), python-nose
 Standards-Version: 3.9.4
+Homepage: http://pythonhosted.org/blinker/
 
 Package: python-blinker
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

# This file was automatically generated by stdeb 0.6.0+git at
# Mon, 04 Mar 2013 11:44:57 +0100

%:
	dh $@ --with python2 --buildsystem=python_distutils

override_dh_auto_test:
	nosetests

## blinker 1.3.dfsg2

=== debian/changelog ===
blinker (1.3.dfsg2-1build1) wily; urgency=medium

  * No-change rebuild for python3.5 transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 22 Jul 2015 03:28:21 +0000

blinker (1.3.dfsg2-1) unstable; urgency=low

  * Team upload

  [ Piotr Ożarowski ]
  * Add python3-blinker binary package
    - python3-all added to Build-Depends
  * Switch dh buildsystem to pybuild
    - dh-python added to Build-Depends

  [ Michael Terry ]
  * debian/control, debian/rules:
    - Enable tests during build

  [ Scott Kitterman ]
  * Repack tarball to also remove sourceless docs/html/searchindex.js
  * Update debian/repack.sh to also remove docs/html/searchindex.js
  * Move documentation into a separate binary for use with both the python
    and python3 versions of the package
    - Add python-blinker-doc to debian/control
    - Move debian/python-blinker.docs to debian/python-blinker-doc.docs
    - Move debian/python-blinker.links to debian/python-blinker-doc.links and
      update links for new package name
    - Have python-blinker and python3-blinker Suggest python-blinker-doc
  * Fix DEP-5 format errors in debian/copyright
  * Add DPMT Vcs-* fields to debian/control
  * Bump standards version to 3.9.5 without further change

 -- Scott Kitterman <scott@kitterman.com>  Sat, 02 Aug 2014 13:55:34 -0400

=== debian/control ===
--- 
+++ 
@@ -4,16 +4,47 @@
 Uploaders: Ondřej Surý <ondrej@debian.org>
 Section: python
 Priority: optional
-Build-Depends: python-all (>= 2.6.6-3), debhelper (>= 7), python-nose
-Standards-Version: 3.9.4
+Build-Depends: python-all (>= 2.6.6-3), python3-all, debhelper (>= 7), dh-python, python-nose
+Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/blinker/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/blinker/trunk/
+Standards-Version: 3.9.5
 Homepage: http://pythonhosted.org/blinker/
 
 Package: python-blinker
 Architecture: all
 Depends: ${misc:Depends}, ${python:Depends}
+Suggests: python-blinker-doc
 Description: Fast, simple object-to-object and broadcast signaling library
  Blinker provides a fast dispatching system that allows any number of
  interested parties to subscribe to events, or "signals".
  .
  Signal receivers can subscribe to specific senders or receive signals
  sent by any sender.
+ .
+ This package contains the Python 2 version.
+
+Package: python3-blinker
+Architecture: all
+Depends: ${misc:Depends}, ${python3:Depends}
+Suggests: python-blinker-doc
+Description: fast, simple object-to-object and broadcast signaling library
+ Blinker provides a fast dispatching system that allows any number of
+ interested parties to subscribe to events, or "signals".
+ .
+ Signal receivers can subscribe to specific senders or receive signals
+ sent by any sender.
+ .
+ This package contains the Python 3 version.
+
+Package: python-blinker-doc
+Section: doc
+Architecture: all
+Depends: libjs-sphinxdoc, ${misc:Depends}
+Description: Documentation for the blinker signaling library
+ Blinker provides a fast dispatching system that allows any number of
+ interested parties to subscribe to events, or "signals".
+ .
+ Signal receivers can subscribe to specific senders or receive signals
+ sent by any sender.
+ .
+ This package contains the documentation for blinker.

## blinker 1.4%2Bdfsg1

=== debian/control ===
Source: blinker
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Ondřej Surý <ondrej@debian.org>
Section: python
Priority: optional
Build-Depends: python3-all, debhelper-compat (= 13), dh-python, python3-nose
Vcs-Git: https://salsa.debian.org/python-team/packages/blinker.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/blinker
Standards-Version: 4.6.0
Homepage: https://pythonhosted.org/blinker/
Rules-Requires-Root: no

Package: python3-blinker
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Suggests: python-blinker-doc
Description: fast, simple object-to-object and broadcast signaling library
 Blinker provides a fast dispatching system that allows any number of
 interested parties to subscribe to events, or "signals".
 .
 Signal receivers can subscribe to specific senders or receive signals
 sent by any sender.
 .
 This package contains the Python 3 version.

Package: python-blinker-doc
Section: doc
Architecture: all
Depends: libjs-sphinxdoc, ${misc:Depends}
Multi-Arch: foreign
Description: Documentation for the blinker signaling library
 Blinker provides a fast dispatching system that allows any number of
 interested parties to subscribe to events, or "signals".
 .
 Signal receivers can subscribe to specific senders or receive signals
 sent by any sender.
 .
 This package contains the documentation for blinker.

## blinker 1.4+dfsg1

=== debian/changelog ===
blinker (1.4+dfsg1-0.4) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * Fixed VCS URL (https)
  * d/copyright renamed shortname for BSD licenses to standard one
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * Convert git repository from git-dpm to gbp layout
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Bump debhelper from deprecated 7 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Apply multi-arch hints.
    + python-blinker-doc: Add Multi-Arch: foreign.
  * Add missing build dependency on dh addon.
  * Bump debhelper from old 12 to 13.
    + Drop check for DEB_BUILD_OPTIONS containing "nocheck", since debhelper now
      does this.

  [ Gordon Ball ]
  * Repaired and merged divergent git and NMU history since 1.3.dfsg2-1
  * Standards-Version 4.6.0
  * Rules-Requires-Root: no
  * Update d/watch to handle repacking instead of a custom repack script

 -- Gordon Ball <gordon@chronitis.net>  Mon, 25 Oct 2021 17:42:40 +0000

blinker (1.4+dfsg1-0.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop python2 support; Closes: #936217

 -- Sandro Tosi <morph@debian.org>  Sat, 28 Dec 2019 00:30:49 -0500

blinker (1.4+dfsg1-0.2) unstable; urgency=medium

  * Fix FTBFS (Closes: #903325)

 -- Sebastien Delafond <seb@debian.org>  Sat, 04 Aug 2018 08:51:55 +0200

blinker (1.4+dfsg1-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * New upstream release (Closes: #881282)

 -- Sebastien Delafond <seb@debian.org>  Thu, 11 Jan 2018 15:57:15 +0100

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	nosetests3

=== debian/watch ===
version=4
opts=dversionmangle=auto,repacksuffix=+dfsg1 \
https://pypi.python.org/packages/source/b/blinker/blinker-(.*)\.tar\.gz

## blinker 1.5

=== debian/changelog ===
blinker (1.5-1) unstable; urgency=medium

  * Team upload.
  * d/watch: Switch to git mode on the GitHub repository
  * d/gbp.conf: Add some basic default configuration
  * New upstream version 1.5
    (Closes: #1008014 )
  * d/copyright: Update upstream data and content
  * d/README.source: Adding base information about source
  * d/control: Run wrap-and-sort -ast
  * d/control: Sort binary packages alphabetical
  * d/u/metadata: Update and add content
  * d/control: Updating the package descriptions
  * d/control: Update Homepage field to new URL
  * d/control: Bump Standards-Version to 4.6.1
    No further changes needed.
  * d/control: Update build dependencies
  * d/rules: Use PYBUILD variable to build the package
    (Closes: #1018323)
  * python-blinker-doc: Use dh_sphinxdoc for package build
  * autopkgtest: Run upstream tests for basic testing

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 24 Nov 2022 19:20:48 +0100

blinker (1.4+dfsg1-0.5) unstable; urgency=medium

  * Set upstream metadata fields: Bug-Database, Bug-Submit.

 -- Debian Janitor <janitor@jelmer.uk>  Thu, 26 May 2022 15:41:36 +0100

=== debian/control ===
Source: blinker
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Ondřej Surý <ondrej@debian.org>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 pybuild-plugin-pyproject,
 python3-all,
 python3-pallets-sphinx-themes <!nodoc>,
 python3-pytest <!nocheck>,
 python3-setuptools,
 python3-sphinx <!nodoc>,
Vcs-Git: https://salsa.debian.org/python-team/packages/blinker.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/blinker
Standards-Version: 4.6.1
Homepage: https://github.com/pallets-eco/blinker
Rules-Requires-Root: no

Package: python-blinker-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Multi-Arch: foreign
Description: Fast, simple object-to-object and broadcast signaling (Documentation)
 Blinker provides fast & simple object-to-object and broadcast signaling
 for Python objects. Interested signal receivers can subscribe to specific
 senders or receive signals sent by any sender.
 .
 The core of Blinker is quite small but provides powerful features:
  * a global registry of named signals
  * anonymous signals
  * custom name registries
  * permanently or temporarily connected receivers
  * automatically disconnected receivers via weak referencing
  * sending arbitrary data payloads
  * collecting return values from signal receivers
  * thread safety
 .
 This package contains the documentation for the blinker Python library.

Package: python3-blinker
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-blinker-doc,
Description: Fast, simple object-to-object and broadcast signaling (Python3)
 Blinker provides fast & simple object-to-object and broadcast signaling
 for Python objects. Interested signal receivers can subscribe to specific
 senders or receive signals sent by any sender.
 .
 The core of Blinker is quite small but provides powerful features:
  * a global registry of named signals
  * anonymous signals
  * custom name registries
  * permanently or temporarily connected receivers
  * automatically disconnected receivers via weak referencing
  * sending arbitrary data payloads
  * collecting return values from signal receivers
  * thread safety
 .
 This package contains the Python 3 version.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1

export PYBUILD_NAME=blinker

BUILD_DATE  = $(shell LC_ALL=C date -u "+%d %B %Y" -d "@$(SOURCE_DATE_EPOCH)")
SPHINXOPTS := -N -D html_last_updated_fmt="$(BUILD_DATE)"

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=src python3 -m sphinx -b html $(SPHINXOPTS) docs $(CURDIR)/debian/python-blinker-doc/usr/share/doc/python-blinker-doc/html
	dh_sphinxdoc
endif

=== debian/tests/control ===
Tests:
 upstream
Depends:
 python3-all,
 python3-blinker,
 python3-pytest,
Restrictions: allow-stderr

## blinker 1.6.2

=== debian/changelog ===
blinker (1.6.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.6.2
  * d/control: Add new requirements Build-Depends
  * autopkgtests: Adopt upstream changes
  * d/control: Bump Standards-Version to 4.6.2
    No further changes needed.
  * d/copyright: Update upstream data and content

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 29 Jun 2023 20:05:07 +0200

=== debian/control ===
--- 
+++ 
@@ -10,11 +10,13 @@
  python3-all,
  python3-pallets-sphinx-themes <!nodoc>,
  python3-pytest <!nocheck>,
+ python3-pytest-asyncio <!nocheck>,
  python3-setuptools,
  python3-sphinx <!nodoc>,
+ python3-sphinx-issues <!nodoc>,
 Vcs-Git: https://salsa.debian.org/python-team/packages/blinker.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/blinker
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/pallets-eco/blinker
 Rules-Requires-Root: no

## blinker 1.7.0

=== debian/changelog ===
blinker (1.7.0-1) unstable; urgency=medium

  * Team upload.
  * [e7d9c73] New upstream version 1.7.0

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 10 Dec 2023 07:43:09 +0100

blinker (1.6.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.6.3
  * d/control: Adjust B-D due upstream switch to flit
  * d/rules: Tune dh_sphinxdoc target

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 01 Nov 2023 17:19:47 +0100

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,12 @@
 Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
+ flit,
  pybuild-plugin-pyproject,
  python3-all,
  python3-pallets-sphinx-themes <!nodoc>,
  python3-pytest <!nocheck>,
  python3-pytest-asyncio <!nocheck>,
- python3-setuptools,
  python3-sphinx <!nodoc>,
  python3-sphinx-issues <!nodoc>,
 Vcs-Git: https://salsa.debian.org/python-team/packages/blinker.git

=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,7 @@
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
-	PYTHONPATH=src python3 -m sphinx -b html $(SPHINXOPTS) docs $(CURDIR)/debian/python-blinker-doc/usr/share/doc/python-blinker-doc/html
+	PYTHONPATH=`dirname $$(find .pybuild/ -type d -name "*blinker*dist-info" | head -n1)` \
+	    python3 -m sphinx -b html $(SPHINXOPTS) docs $(CURDIR)/debian/python-blinker-doc/usr/share/doc/python-blinker-doc/html
 	dh_sphinxdoc
 endif

## blinker 1.8.2

=== debian/changelog ===
blinker (1.8.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.8.2

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 09 May 2024 21:40:59 +0200

blinker (1.8.1-1) unstable; urgency=medium

  * Team upload.
  * [fa20eec] New upstream version 1.8.1
  * [3e239ef] d/control: Adjust Build-Depends due upstream changes
  * [cc80c8b] d/control: Bump Standards-Version to 4.7.0
    No further changes needed.
  * [29519a1] d/control: Add dh_sequence-* packages to B-D
  * [1d2b1b7] d/rules: Remove --with option from default target
  * [936866f] d/copyright: Update year and content data
  * [4e61621] d/python-blinker-doc.docs: Update file data to install

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 01 May 2024 19:38:46 +0200

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 SPHINXOPTS := -N -D html_last_updated_fmt="$(BUILD_DATE)"
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))

## blinker 1.9.0

=== debian/changelog ===
blinker (1.9.0-2) unstable; urgency=medium

  * Team upload.
  * Copy pyproject.toml into test directory in autopkgtest (closes:
    #1111058).

 -- Colin Watson <cjwatson@debian.org>  Thu, 14 Aug 2025 10:29:13 +0100

blinker (1.9.0-1) unstable; urgency=medium

  * Team upload.
  * [752e897] New upstream version 1.9.0
  * [44b176c] d/rules: Drop -D option from SPHINXOPTS

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 22 Nov 2024 15:47:49 +0100

=== debian/rules ===
--- 
+++ 
@@ -5,8 +5,7 @@
 
 export PYBUILD_NAME=blinker
 
-BUILD_DATE  = $(shell LC_ALL=C date -u "+%d %B %Y" -d "@$(SOURCE_DATE_EPOCH)")
-SPHINXOPTS := -N -D html_last_updated_fmt="$(BUILD_DATE)"
+SPHINXOPTS := -E -N
 
 %:
 	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4

opts="mode=git, \
      compression=gz, \
      uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/, \
      dversionmangle=s/\+(dfsg|ds)(\.?\d+)?$//" \
https://github.com/pallets-eco/blinker.git \
      refs/tags/@ANY_VERSION@
